<template>
  <div class="chart" v-if="PollData.barCharts">
    <!-- 内存进度条 -->
    <div class="row">
      <div class="label">内存</div>
      <el-progress
        :percentage="+PollData.barCharts[3]"
        :stroke-width="stroke"
        :show-text="false"
      ></el-progress>
      <div class="number">{{ PollData.barCharts[3] }}%</div>
    </div>
    <!-- 算力进度条 -->
    <div class="row">
      <div class="label">算力</div>
      <el-progress
        :percentage="+PollData.barCharts[2]"
        :stroke-width="stroke"
        :show-text="false"
      ></el-progress>
      <div class="number">{{ PollData.barCharts[2] }}%</div>
    </div>
    <!-- CPU进度条 -->
    <div class="row">
      <div class="label">CPU</div>
      <el-progress
        :percentage="+PollData.barCharts[1]"
        :stroke-width="stroke"
        :show-text="false"
      ></el-progress>
      <div class="number">{{ PollData.barCharts[1] }}%</div>
    </div>
    <!-- 硬盘进度条 -->
    <div class="row">
      <div class="label">硬盘</div>
      <el-progress
        :percentage="+PollData.barCharts[0]"
        :stroke-width="stroke"
        :show-text="false"
      ></el-progress>
      <div class="number">{{ PollData.barCharts[0] }}%</div>
    </div>
  </div>
</template>

<script>
export default {
  name: "SystemInfo",
  props: {
    stroke: {},
  },
};
</script>
<style lang="scss" scoped>
.chart {
  .row {
    margin-bottom: 30px;
    display: flex;
    height: 24px;
    .label {
      width: 48px;
    }

    .el-progress ::v-deep {
      flex: 1;
      border-radius: 15px;
      .el-progress-bar__inner {
        background: linear-gradient(
          270deg,
          #0065ff 0%,
          rgba(0, 101, 255, 0.25) 100%
        );
      }

      .el-progress-bar__outer {
        background-color: #d4e3fa;
      }
    }

    .number {
      margin-left: 20px;
      font-size: 14px;
      color: #0065ff;
    }
  }
}
</style>